## net.sourceforge.pmd.ast
Class ASTThrowStatement

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.ASTThrowStatement

All Implemented Interfaces:
  JavaNode, Node

public class ASTThrowStatement
extends SimpleJavaNode

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTThrowStatement(int id)`
`ASTThrowStatement(JavaParser p, int id)`

Method Summary
`java.lang.String` `getFirstClassOrInterfaceTypeImage()` Gets the image of the first ASTClassOrInterfaceType child or `null` if none is found.
`java.lang.Object` `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTThrowStatement

    public ASTThrowStatement(int id)

### ASTThrowStatement

    public ASTThrowStatement(JavaParser p,
                             int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### getFirstClassOrInterfaceTypeImage

    public final java.lang.String getFirstClassOrInterfaceTypeImage()

  Gets the image of the first ASTClassOrInterfaceType child or `null` if none is found. Note that when the statement is something like throw new Exception, this method returns 'Exception' and if the throw statement is like throw e: this method returns 'e'. A special case of returning `null` is when the throws is like throw this.e or throw this.

  TODO - use symbol table (?)

  Returns:
    the image of the first ASTClassOrInterfaceType node found or `null`

Copyright © 2002-2006 InfoEther. All Rights Reserved.